/* 
    Created on : 17.03.2018, 19:53:50
    Author     : AdrianG
*/

/* 
    HAUSFARBEN
    Blau: #009DE0  // RGB: 0/157/224
    Helleres Blau: #5BC5ED / #CCECFC // RGB: 91/197/237
    Grau: #E3E4E6  // RGB: 227/228/230
   darkergrey: #cdcdcd
*/
:root {
    --tbb-blue-color: #009DE0;
    --tbb-lightblue-color: #CCECFC;
    --tbb-grey-color: #E3E4E6;
    --tbb-darkergrey-color: #496F94;
    --tbb-greyonwhite-color: #868e96;
}
body { background-color: var(--tbb-grey-color); padding:0; margin:0;}


/* Überschriften */

h1 { }
h2 { }
h3 { }
h4 { }
h5 { }

.label { font-weight: bold;}

/* LINKS Allgemeine  */ 
a { text-decoration: none;  color:#009DE0; padding-left:5px; padding-right:5px;}
a:link {color:var(--tbb-blue-color); }
a:active {color:var(--tbb-blue-color); }
a:visited {color:var(--tbb-blue-color); }
a:hover {color:var(--tbb-greyonwhite-color); }

/* LINKS NAVBAR  */ 
a.linkNav  { text-decoration: none;  color:#fff !important; padding-left:5px; padding-right:5px;}
a:link.linkNav { color:#fff !important; }
a:active.linkNav  {color:fff !important; }
a:visited.linkNav  {color:fff !important; }
a:hover.linkNav  { background-color: var(--tbb-lightblue-color); color:#000 !important; }

.text-bottom { position: absolute;
bottom: 0; }
/* NAVBAR Hintergurnd */
#ulNav li { padding-left:0.3em; }

.navbar-light { 
     background-color: var(--tbb-blue-color);
}
.divNav { background-color: var(--tbb-blue-color); }

li.dropdown:hover  div.dropdown-menu > a, 
li.dropdown:hover  div.dropdown-menu > a:hover,
li.dropdown:hover div.dropdown-menu > a:focus {
    background-color: #fff;
    color: #000;
}

li.dropdown:hover  div.dropdown-menu > a:hover{
    background-color: var(--tbb-lightblue-color);
    color: #000;
}
/*li.dropdown:hover > .dropdown-menu {
    display: block;
}*/

.tbbLogo {background-color:var(--tbb-darkergrey-color)}
.header {background-color:var(--tbb-darkergrey-color);}
.tbbLogoFixed {background-color:var(--tbb-darkergrey-color)}

.bg-tbb-grey { background-color: var(--tbb-grey-color);}
.bg-tbb-blue { background-color:  var(--tbb-blue-color);}
.bg-tbb-lightblue { background-color:  var(--tbb-lightblue-color);}
/* Container zusatz */
.container { 
    max-width: 80em;
    margin-bottom: 1em;
}
.content { 
    background-color: #fff;
    box-shadow: 2px 2px 2px #ddd;
}
/* Secend Menü */
.navSecond { 
    font-size: 0.8em;
}

.navSecond a{ 
    color: #000;
}
.navSecond a:hover{ 
    color: var(--tbb-blue-color);
}

.headerLine{
    border-bottom: 1px solid var(--tbb-blue-color);
    margin-bottom:1rem;
}


/* Startseite Vorschau News */
.newsOverview { 
    /* box-shadow: 1px 1px 1px #ddd;*/
    border: 1px solid var(--tbb-grey-color);
    /*background-color: #F8F8F8;*/
    min-height: 150px;
    font-size: 1em;
    padding:0.5em;
    margin-bottom: 2em;
}
.newsOverview a {
    color: var(--tbb-blue-color);
}

.newsOverviewDatum { 
    color: #bbb;
}
.newsOverviewTitle{ 
    color: var(--tbb-blue-color);
    font-weight: bold;
}
.newsOverviewContent { 

}

.loadNextOverviewNews {
    border: 1px solid var(--tbb-grey-color);
    padding:0.5em;
}

/* BANNER Startseite */

/* BANNER */
.banner { 
    margin-bottom: 10px; 
    min-height: 150px;
}

.banner {
    border: 1px solid #ccc;
     text-align: center; 
}
.banner_titel { margin: 1rem 0 1rem;}

.banner_content { }
.banner_text_oben { }
.banner_text_unten { margin: 0 0 0 1rem ; }
.banner_bild { margin: 1rem 0 1rem 0; }


table#banner_telefon { }
table#banner_telefon td { padding-bottom:0.5em; }


.banner_beratungsangebote { 
    display: block;
    padding:2em;
    border: 1px solid red;
     text-align: center; 
     margin-bottom: 10px; 
}
.banner_beratungsangebote  a {
    text-align: center;
    font-weight: bold;
    color: #000;
}

.banner_beratungsangeboteXS { 
    display: block;
    width: 100%;
    border: 1px solid red;
    padding:2em;
    margin-bottom: 20px;
    
}
.banner_beratungsangeboteXS  a {
    text-align: center;
    font-weight: bold;
    color: #000;
}

.banner_telefonXS {
}
.banner_telefonXS{ 
     display: block;
    width: 100%;
    border: 1px solid var(--tbb-grey-color);
    padding:2em;
    margin-bottom: 20px;
}
/* 
    HAUSFARBEN
    Blau: #00A6EB  // RGB: 0/166/235
    Grau: #E3E5E6  // RGB: 227/229/230

*/

.divButtons { margin-bottom: 2em; border-bottom: 1px solid var(--tbb-blue-color); }
.toggleHidden { display: none; }

  buttons {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
   
  }

  buttons a {
    width: 20%;
    width: 10em;
    padding: 1em;
    color: rgba(255,255,255, 0.75);
    background-color: var(--tbb-blue-color);
    border-radius: 0.25em;
    text-decoration: none;
    text-align: center;
     margin-left:0.5em;
     font-size: 0.8em; /* Set a font size */
  }

  buttons a:hover, nav a:focus {
    color: rgba(255,255,255, 1.0);
    text-decoration: none;
  }

  buttons a::before {
    display: none;
  }

  buttons.svg-inline--fa {
    margin-right: 1em;
  }





/* Versteckte Navbar für die Projekte */
#fixedNav {
    z-index:20000;
    position: fixed; /* Make it stick/fixed */
    top: -110px;  /* Hide the navbar 50 px outside of the top view */
/*    width: 70%;   Full width */
    display: block;
    transition: top 0.3s; /* Transition effect when sliding down (and up) */
}


/* FOOTER */
.footer {
    background-color: #444;
    color: var(--tbb-grey-color);
    min-height: 50px;
    padding: 0.5em;
}
.footerContent {
    padding-top:0.5rem;
}

a.footerNav { color: var(--tbb-grey-color); }
ul { list-style: none;   
     margin: 0;
    padding: 0;
}
li { list-style: none;   

}



div.imageCut500height {
   height:500px;
   overflow:hidden;
}



div.image {
/*    width: 300px;
    height: 200px;*/
    overflow: hidden;
}
div.image img {
    width: 100%;
    height: auto;
    /* SCALE */
    -webkit-transform: scale(1);
    -moz-transform: scale(1);
    -ms-transform: scale(1);
    -o-transform: scale(1);
    transform: scale(1);
    /* VERZÖGERUNG */
    -webkit-transition: all 0.3s linear;
    -moz-transition: all 0.3s linear;
    -ms-transition: all 0.3s linear;
    -o-transition: all 0.3s linear;
    transition: all 0.3s linear;
}
div.image img:hover {
    -webkit-transform: scale(1.2);
    -moz-transform: scale(1.2);
    -ms-transform: scale(1.2);
    -o-transform: scale(1.2);
    transform: scale(1.2);
}



/*  SITEMAP KLASSEN */
sitemap > ul {
	list-style: none;
	margin: 0em;
	padding: 0em;
	display: flex;
	flex-direction: column;
}

sitemap li {
	margin: 0;
	padding: 0;
	flex: 1 1 0%;

}

@media (min-width: 45em) {
	sitemap > ul {
		flex-direction: row;
	}
	sitemap li {
		flex: 1;
		font-size: 1em;
                
	}
}

sitemap a {
	display: block;
	padding: 0em;
	text-decoration: none;
	/*text-align: center;*/
        font-size: 0.8em;
        color: #fff;
/*	border: 1px solid darkblue;
	border-radius: 10px;*/
/*	box-shadow: 0 5px 10px white inset;
	color: gold;
	background-color: darkblue;*/
	/*transition: all .25s ease-in;*/
}

sitemap ul li ul li a {
	display: block;
	text-decoration: none;
	/*font-weight: bold;*/
	/*text-align: center;*/
        color: #fff;
/*	border: 1px solid darkblue;
	border-radius: 10px;*/
/*	box-shadow: 0 5px 10px white inset;
	color: gold;
	background-color: darkblue;*/
	/*transition: all .25s ease-in;*/
}

sitemap li[aria-current] a {
/*	background-color: firebrick;
	color: gold;*/
}

sitemap a:focus,
sitemap a:hover,
sitemap li[aria-current] a:focus,
sitemap li[aria-current] a:hover {
/*	color: darkblue;
	background-color: gold;*/
}

a.sitmapText { 
    color:#FFF;
    font-size:1.2em;
}

a.sitemapMainLink {
color:#FFF;
font-weight: bold;
}

a.sitemapLink { 
color:#FFF;
}
/*
    @media only screen and (min-width: 1000px) {
    .collapse {
        display: block;
    }

    .navbar-header {
        display: none;
    }
    }

    @media only screen and (max-width: 1000px) {
     .collapse {
        display: none;
     }

     .navbar-header {
        display: block;
     }
    }*/

/* SUCHE */

.sucheAbschnittsTrenner{
    background-color: var(--tbb-grey-color);
    margin-top: 20px;
    padding:0.5em;
    height:40px;
    font-weight: bold;
}

 

/* resize images */
.imgMitgliedschaft {
     object-fit: contain;
   max-width: 100px;
   max-height: 100%;
   width: auto;
   height: auto;
   align-content: center;
}


.navbar-inverse { background-color: #496F94;}
.navbar-header a  { color:#fff; } 
ul.navbar-nav li a{ color: #000;}

.woTag { 
    /*border-top: 1px solid #f3e4b1;*/
    /*border-bottom: 1px solid #ead098;*/      
    background-color: #FFF4BC;
    color: #000;
}
.weTag { 
    background-color: #FFF4BC;
    color: #bbb;
 /*      border-bottom: 1px solid #666666;*/
}
.wochenende {
    background-color: #eee;
    color: #bbb;
}

.kalenderhintergrund {
/*	border-top: 1px solid #f3e4b1;
        border-bottom: 1px solid #ead098;      */
        background-color: #FFF4BC;
}

.selectpicker {
    
}

  /* Validierung +*/

.showRequired {
  border-color: red;
}

.with-errors{
  border-color: red;
  color:red;
}

/* Feather Icon größe */
.feather-16{
    width: 16px;
    height: 16px;
}

.feather-20{
    width: 20px;
    height: 20px;
}


.feather-24{
    width: 24px;
    height: 24px;
}

.feather-32{
    width: 32px;
    height: 32px;
}

input[required] {
  border-color: red;
}